path: /build/build/kcalc-kde-apps-5-23.08.2.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-test handbook" emerge kde-apps/kcalc:5 -pv -t && \
    USE="-test handbook" emerge -j ${JOBS} --nodeps kde-apps/kcalc:5
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/kcalc && luet-portage --dir /pkgdir/kcalc
    kde-apps/kcalc:5 && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:bdef223445bc87fff1b619ec970f5de5cca8916f4f44722c7aa988fb935c683d
  package:
    name: kcalc
    version: 23.08.2
    category: kde-apps-5
    use_flags:
    - -test
    - handbook
    requires:
    - name: macaroni-funtoo-race19
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: KDE calculator
    uri:
    - https://apps.kde.org/en/kcalc https://utils.kde.org/projects/kcalc/
    license: GPL-2
    buildtimestamp: 2024-02-14 13:15:38.061483912 +0000 UTC m=+211.958474076
    labels:
      BDEPEND: sys-devel/gettext dev-util/ninja >=dev-util/cmake-3.9.6 >=kde-frameworks/extra-cmake-modules-5.98.0:5
        handbook? ( >=kde-frameworks/kdoctools-5.98.0:5 )
      DEPEND: dev-libs/gmp:0= dev-libs/mpfr:0= >=dev-qt/qtgui-5.15.1:5 >=dev-qt/qtwidgets-5.15.1:5
        >=dev-qt/qtxml-5.15.1:5 >=kde-frameworks/kconfig-5.98.0:5 >=kde-frameworks/kconfigwidgets-5.98.0:5
        >=kde-frameworks/kcoreaddons-5.98.0:5 >=kde-frameworks/kcrash-5.98.0:5 >=kde-frameworks/kguiaddons-5.98.0:5
        >=kde-frameworks/ki18n-5.98.0:5 >=kde-frameworks/kinit-5.98.0:5 >=kde-frameworks/knotifications-5.98.0:5
        >=kde-frameworks/kwidgetsaddons-5.98.0:5 >=kde-frameworks/kxmlgui-5.98.0:5
        dev-util/desktop-file-utils x11-misc/shared-mime-info test? ( >=dev-qt/qttest-5.15.1:5
        ) >=dev-qt/qtcore-5.15.1:5 dev-util/desktop-file-utils
      IUSE: debug +handbook test
      RDEPEND: dev-libs/gmp:0= dev-libs/mpfr:0= >=dev-qt/qtgui-5.15.1:5 >=dev-qt/qtwidgets-5.15.1:5
        >=dev-qt/qtxml-5.15.1:5 >=kde-frameworks/kconfig-5.98.0:5 >=kde-frameworks/kconfigwidgets-5.98.0:5
        >=kde-frameworks/kcoreaddons-5.98.0:5 >=kde-frameworks/kcrash-5.98.0:5 >=kde-frameworks/kguiaddons-5.98.0:5
        >=kde-frameworks/ki18n-5.98.0:5 >=kde-frameworks/kinit-5.98.0:5 >=kde-frameworks/knotifications-5.98.0:5
        >=kde-frameworks/kwidgetsaddons-5.98.0:5 >=kde-frameworks/kxmlgui-5.98.0:5
        >=kde-frameworks/kf-env-4 || ( >=kde-frameworks/breeze-icons-5.98.0:5 kde-frameworks/oxygen-icons:*
        ) >=dev-qt/qtcore-5.15.1:5
      emerge.packages: kde-apps/kcalc:5
      kit: kde-kit
      original.package.name: kde-apps/kcalc
      original.package.slot: "5"
      original.package.version: 23.08.2
    treedir: /build/packages
  package_dir: /pkgdir/kcalc
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 9d0d95100e6f46bf67c3c613300e9b1a25c776ffc392213033b01bd496b5a874
compressiontype: zstd
files:
- usr/bin/kcalc
- usr/share/applications/org.kde.kcalc.desktop
- usr/share/config.kcfg/kcalc.kcfg
- usr/share/doc/kcalc-23.08.2/ChangeLog.bz2
- usr/share/doc/kcalc-23.08.2/README.bz2
- usr/share/doc/kcalc-23.08.2/TODO.bz2
- usr/share/help/ca/kcalc/commands.docbook
- usr/share/help/ca/kcalc/index.cache.bz2
- usr/share/help/ca/kcalc/index.docbook
- usr/share/help/de/kcalc/commands.docbook
- usr/share/help/de/kcalc/index.cache.bz2
- usr/share/help/de/kcalc/index.docbook
- usr/share/help/en/kcalc/commands.docbook
- usr/share/help/en/kcalc/index.cache.bz2
- usr/share/help/en/kcalc/index.docbook
- usr/share/help/es/kcalc/commands.docbook
- usr/share/help/es/kcalc/index.cache.bz2
- usr/share/help/es/kcalc/index.docbook
- usr/share/help/et/kcalc/commands.docbook
- usr/share/help/et/kcalc/index.cache.bz2
- usr/share/help/et/kcalc/index.docbook
- usr/share/help/fr/kcalc/commands.docbook
- usr/share/help/fr/kcalc/index.cache.bz2
- usr/share/help/fr/kcalc/index.docbook
- usr/share/help/gl/kcalc/commands.docbook
- usr/share/help/gl/kcalc/index.cache.bz2
- usr/share/help/gl/kcalc/index.docbook
- usr/share/help/it/kcalc/commands.docbook
- usr/share/help/it/kcalc/index.cache.bz2
- usr/share/help/it/kcalc/index.docbook
- usr/share/help/lt/kcalc/commands.docbook
- usr/share/help/lt/kcalc/index.cache.bz2
- usr/share/help/lt/kcalc/index.docbook
- usr/share/help/nl/kcalc/commands.docbook
- usr/share/help/nl/kcalc/index.cache.bz2
- usr/share/help/nl/kcalc/index.docbook
- usr/share/help/pt/kcalc/commands.docbook
- usr/share/help/pt/kcalc/index.cache.bz2
- usr/share/help/pt/kcalc/index.docbook
- usr/share/help/pt_BR/kcalc/commands.docbook
- usr/share/help/pt_BR/kcalc/index.cache.bz2
- usr/share/help/pt_BR/kcalc/index.docbook
- usr/share/help/ru/kcalc/commands.docbook
- usr/share/help/ru/kcalc/index.cache.bz2
- usr/share/help/ru/kcalc/index.docbook
- usr/share/help/sr/kcalc/commands.docbook
- usr/share/help/sr/kcalc/index.cache.bz2
- usr/share/help/sr/kcalc/index.docbook
- usr/share/help/sr@latin/kcalc/commands.docbook
- usr/share/help/sr@latin/kcalc/index.cache.bz2
- usr/share/help/sr@latin/kcalc/index.docbook
- usr/share/help/sv/kcalc/commands.docbook
- usr/share/help/sv/kcalc/index.cache.bz2
- usr/share/help/sv/kcalc/index.docbook
- usr/share/help/uk/kcalc/commands.docbook
- usr/share/help/uk/kcalc/index.cache.bz2
- usr/share/help/uk/kcalc/index.docbook
- usr/share/kconf_update/kcalcrc.upd
- usr/share/kglobalaccel/org.kde.kcalc.desktop
- usr/share/locale/af/LC_MESSAGES/kcalc.mo
- usr/share/locale/ar/LC_MESSAGES/kcalc.mo
- usr/share/locale/az/LC_MESSAGES/kcalc.mo
- usr/share/locale/be/LC_MESSAGES/kcalc.mo
- usr/share/locale/bg/LC_MESSAGES/kcalc.mo
- usr/share/locale/br/LC_MESSAGES/kcalc.mo
- usr/share/locale/bs/LC_MESSAGES/kcalc.mo
- usr/share/locale/ca/LC_MESSAGES/kcalc.mo
- usr/share/locale/ca@valencia/LC_MESSAGES/kcalc.mo
- usr/share/locale/cs/LC_MESSAGES/kcalc.mo
- usr/share/locale/cy/LC_MESSAGES/kcalc.mo
- usr/share/locale/da/LC_MESSAGES/kcalc.mo
- usr/share/locale/de/LC_MESSAGES/kcalc.mo
- usr/share/locale/el/LC_MESSAGES/kcalc.mo
- usr/share/locale/en_GB/LC_MESSAGES/kcalc.mo
- usr/share/locale/eo/LC_MESSAGES/kcalc.mo
- usr/share/locale/es/LC_MESSAGES/kcalc.mo
- usr/share/locale/et/LC_MESSAGES/kcalc.mo
- usr/share/locale/eu/LC_MESSAGES/kcalc.mo
- usr/share/locale/fa/LC_MESSAGES/kcalc.mo
- usr/share/locale/fi/LC_MESSAGES/kcalc.mo
- usr/share/locale/fr/LC_MESSAGES/kcalc.mo
- usr/share/locale/ga/LC_MESSAGES/kcalc.mo
- usr/share/locale/gl/LC_MESSAGES/kcalc.mo
- usr/share/locale/he/LC_MESSAGES/kcalc.mo
- usr/share/locale/hi/LC_MESSAGES/kcalc.mo
- usr/share/locale/hne/LC_MESSAGES/kcalc.mo
- usr/share/locale/hr/LC_MESSAGES/kcalc.mo
- usr/share/locale/hu/LC_MESSAGES/kcalc.mo
- usr/share/locale/ia/LC_MESSAGES/kcalc.mo
- usr/share/locale/id/LC_MESSAGES/kcalc.mo
- usr/share/locale/is/LC_MESSAGES/kcalc.mo
- usr/share/locale/it/LC_MESSAGES/kcalc.mo
- usr/share/locale/ja/LC_MESSAGES/kcalc.mo
- usr/share/locale/ka/LC_MESSAGES/kcalc.mo
- usr/share/locale/kk/LC_MESSAGES/kcalc.mo
- usr/share/locale/km/LC_MESSAGES/kcalc.mo
- usr/share/locale/ko/LC_MESSAGES/kcalc.mo
- usr/share/locale/lt/LC_MESSAGES/kcalc.mo
- usr/share/locale/lv/LC_MESSAGES/kcalc.mo
- usr/share/locale/mk/LC_MESSAGES/kcalc.mo
- usr/share/locale/mr/LC_MESSAGES/kcalc.mo
- usr/share/locale/ms/LC_MESSAGES/kcalc.mo
- usr/share/locale/nb/LC_MESSAGES/kcalc.mo
- usr/share/locale/nds/LC_MESSAGES/kcalc.mo
- usr/share/locale/ne/LC_MESSAGES/kcalc.mo
- usr/share/locale/nl/LC_MESSAGES/kcalc.mo
- usr/share/locale/nn/LC_MESSAGES/kcalc.mo
- usr/share/locale/oc/LC_MESSAGES/kcalc.mo
- usr/share/locale/pa/LC_MESSAGES/kcalc.mo
- usr/share/locale/pl/LC_MESSAGES/kcalc.mo
- usr/share/locale/pt/LC_MESSAGES/kcalc.mo
- usr/share/locale/pt_BR/LC_MESSAGES/kcalc.mo
- usr/share/locale/ro/LC_MESSAGES/kcalc.mo
- usr/share/locale/ru/LC_MESSAGES/kcalc.mo
- usr/share/locale/se/LC_MESSAGES/kcalc.mo
- usr/share/locale/sk/LC_MESSAGES/kcalc.mo
- usr/share/locale/sl/LC_MESSAGES/kcalc.mo
- usr/share/locale/sq/LC_MESSAGES/kcalc.mo
- usr/share/locale/sr/LC_MESSAGES/kcalc.mo
- usr/share/locale/sr@ijekavian/LC_MESSAGES/kcalc.mo
- usr/share/locale/sr@ijekavianlatin/LC_MESSAGES/kcalc.mo
- usr/share/locale/sr@latin/LC_MESSAGES/kcalc.mo
- usr/share/locale/sv/LC_MESSAGES/kcalc.mo
- usr/share/locale/ta/LC_MESSAGES/kcalc.mo
- usr/share/locale/tg/LC_MESSAGES/kcalc.mo
- usr/share/locale/th/LC_MESSAGES/kcalc.mo
- usr/share/locale/tr/LC_MESSAGES/kcalc.mo
- usr/share/locale/ug/LC_MESSAGES/kcalc.mo
- usr/share/locale/uk/LC_MESSAGES/kcalc.mo
- usr/share/locale/uz/LC_MESSAGES/kcalc.mo
- usr/share/locale/uz@cyrillic/LC_MESSAGES/kcalc.mo
- usr/share/locale/wa/LC_MESSAGES/kcalc.mo
- usr/share/locale/xh/LC_MESSAGES/kcalc.mo
- usr/share/locale/zh_CN/LC_MESSAGES/kcalc.mo
- usr/share/locale/zh_TW/LC_MESSAGES/kcalc.mo
- usr/share/metainfo/org.kde.kcalc.appdata.xml
- var/db/pkg/kde-apps/kcalc-23.08.2/BDEPEND
- var/db/pkg/kde-apps/kcalc-23.08.2/BUILD_TIME
- var/db/pkg/kde-apps/kcalc-23.08.2/CATEGORY
- var/db/pkg/kde-apps/kcalc-23.08.2/CBUILD
- var/db/pkg/kde-apps/kcalc-23.08.2/CFLAGS
- var/db/pkg/kde-apps/kcalc-23.08.2/CHOST
- var/db/pkg/kde-apps/kcalc-23.08.2/CONTENTS
- var/db/pkg/kde-apps/kcalc-23.08.2/COUNTER
- var/db/pkg/kde-apps/kcalc-23.08.2/CXXFLAGS
- var/db/pkg/kde-apps/kcalc-23.08.2/DEFINED_PHASES
- var/db/pkg/kde-apps/kcalc-23.08.2/DEPEND
- var/db/pkg/kde-apps/kcalc-23.08.2/DESCRIPTION
- var/db/pkg/kde-apps/kcalc-23.08.2/EAPI
- var/db/pkg/kde-apps/kcalc-23.08.2/FEATURES
- var/db/pkg/kde-apps/kcalc-23.08.2/HOMEPAGE
- var/db/pkg/kde-apps/kcalc-23.08.2/INHERITED
- var/db/pkg/kde-apps/kcalc-23.08.2/IUSE
- var/db/pkg/kde-apps/kcalc-23.08.2/IUSE_EFFECTIVE
- var/db/pkg/kde-apps/kcalc-23.08.2/KEYWORDS
- var/db/pkg/kde-apps/kcalc-23.08.2/LDFLAGS
- var/db/pkg/kde-apps/kcalc-23.08.2/LICENSE
- var/db/pkg/kde-apps/kcalc-23.08.2/NEEDED
- var/db/pkg/kde-apps/kcalc-23.08.2/PF
- var/db/pkg/kde-apps/kcalc-23.08.2/RDEPEND
- var/db/pkg/kde-apps/kcalc-23.08.2/REQUIRES
- var/db/pkg/kde-apps/kcalc-23.08.2/SIZE
- var/db/pkg/kde-apps/kcalc-23.08.2/SLOT
- var/db/pkg/kde-apps/kcalc-23.08.2/USE
- var/db/pkg/kde-apps/kcalc-23.08.2/environment.bz2
- var/db/pkg/kde-apps/kcalc-23.08.2/kcalc-23.08.2.ebuild
- var/db/pkg/kde-apps/kcalc-23.08.2/repository
package_cacheimage: ""
runtime:
  name: kcalc
  version: 23.08.2
  category: kde-apps-5
  use_flags:
  - -test
  - handbook
  requires:
  - name: mpfr
    version: '>=0'
    category: dev-libs
  - name: kconfigwidgets
    version: '>=0'
    category: kde-frameworks-5
  - name: kcrash
    version: '>=0'
    category: kde-frameworks-5
  - name: kinit
    version: '>=0'
    category: kde-frameworks-5
  - name: knotifications
    version: '>=0'
    category: kde-frameworks-5
  - name: kxmlgui
    version: '>=0'
    category: kde-frameworks-5
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: KDE calculator
  uri:
  - https://apps.kde.org/en/kcalc https://utils.kde.org/projects/kcalc/
  license: GPL-2
  labels:
    BDEPEND: sys-devel/gettext dev-util/ninja >=dev-util/cmake-3.9.6 >=kde-frameworks/extra-cmake-modules-5.98.0:5
      handbook? ( >=kde-frameworks/kdoctools-5.98.0:5 )
    DEPEND: dev-libs/gmp:0= dev-libs/mpfr:0= >=dev-qt/qtgui-5.15.1:5 >=dev-qt/qtwidgets-5.15.1:5
      >=dev-qt/qtxml-5.15.1:5 >=kde-frameworks/kconfig-5.98.0:5 >=kde-frameworks/kconfigwidgets-5.98.0:5
      >=kde-frameworks/kcoreaddons-5.98.0:5 >=kde-frameworks/kcrash-5.98.0:5 >=kde-frameworks/kguiaddons-5.98.0:5
      >=kde-frameworks/ki18n-5.98.0:5 >=kde-frameworks/kinit-5.98.0:5 >=kde-frameworks/knotifications-5.98.0:5
      >=kde-frameworks/kwidgetsaddons-5.98.0:5 >=kde-frameworks/kxmlgui-5.98.0:5 dev-util/desktop-file-utils
      x11-misc/shared-mime-info test? ( >=dev-qt/qttest-5.15.1:5 ) >=dev-qt/qtcore-5.15.1:5
      dev-util/desktop-file-utils
    IUSE: debug +handbook test
    RDEPEND: dev-libs/gmp:0= dev-libs/mpfr:0= >=dev-qt/qtgui-5.15.1:5 >=dev-qt/qtwidgets-5.15.1:5
      >=dev-qt/qtxml-5.15.1:5 >=kde-frameworks/kconfig-5.98.0:5 >=kde-frameworks/kconfigwidgets-5.98.0:5
      >=kde-frameworks/kcoreaddons-5.98.0:5 >=kde-frameworks/kcrash-5.98.0:5 >=kde-frameworks/kguiaddons-5.98.0:5
      >=kde-frameworks/ki18n-5.98.0:5 >=kde-frameworks/kinit-5.98.0:5 >=kde-frameworks/knotifications-5.98.0:5
      >=kde-frameworks/kwidgetsaddons-5.98.0:5 >=kde-frameworks/kxmlgui-5.98.0:5 >=kde-frameworks/kf-env-4
      || ( >=kde-frameworks/breeze-icons-5.98.0:5 kde-frameworks/oxygen-icons:* )
      >=dev-qt/qtcore-5.15.1:5
    emerge.packages: kde-apps/kcalc:5
    kit: kde-kit
    original.package.name: kde-apps/kcalc
    original.package.slot: "5"
    original.package.version: 23.08.2
